zenilib: zenilib/jni/external/zenilib/zeni/Zeni/String.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Namespaces | Functions
String.h File Reference
`#include <string>`
`#include <cctype>`
`#include <cstddef>`
`#include <cstring>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | Zeni::String
class | Zeni::String::const_iterator
class | Zeni::String::const_reverse_iterator
struct | Zeni::String::Hash
class | Zeni::String::iterator
class | Zeni::String::reverse_iterator

## Namespaces

| Zeni

## Functions

bool | operator!= (const char *lhs, const Zeni::String &rhs)
Zeni::String::iterator | operator+ (const Zeni::String::iterator::difference_type &lhs, const Zeni::String::iterator &rhs)
Zeni::String::const_iterator | operator+ (const Zeni::String::const_iterator::difference_type &lhs, const Zeni::String::const_iterator &rhs)
Zeni::String::reverse_iterator | operator+ (const Zeni::String::reverse_iterator::difference_type &lhs, const Zeni::String::reverse_iterator &rhs)
Zeni::String::const_reverse_iterator | operator+ (const Zeni::String::const_reverse_iterator::difference_type &lhs, const Zeni::String::const_reverse_iterator &rhs)
Zeni::String | operator+ (const Zeni::String &lhs, const Zeni::String &rhs)
Zeni::String | operator+ (const Zeni::String &lhs, const char *rhs)
Zeni::String | operator+ (const Zeni::String &lhs, char rhs)
Zeni::String | operator+ (const char *lhs, const Zeni::String &rhs)
Zeni::String | operator+ (char lhs, const Zeni::String &rhs)
bool | operator< (const char *lhs, const Zeni::String &rhs)
std::ostream & | operator<< (std::ostream &os, const Zeni::String &str)
bool | operator<= (const char *lhs, const Zeni::String &rhs)
bool | operator== (const char *lhs, const Zeni::String &rhs)
bool | operator> (const char *lhs, const Zeni::String &rhs)
bool | operator>= (const char *lhs, const Zeni::String &rhs)
std::istream & | operator>> (std::istream &is, const Zeni::String &str)
void | swap (Zeni::String &lhs, Zeni::String &rhs)

## Function Documentation

bool operator!= | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 572 of file String.cpp.

Zeni::String::iterator operator+ | ( | const Zeni::String::iterator::difference_type & | lhs,
|  | const Zeni::String::iterator & | rhs
| ) |  |

Definition at line 545 of file String.cpp.

Zeni::String::const_iterator operator+ | ( | const Zeni::String::const_iterator::difference_type & | lhs,
|  | const Zeni::String::const_iterator & | rhs
| ) |  |

Definition at line 546 of file String.cpp.

Zeni::String::reverse_iterator operator+ | ( | const Zeni::String::reverse_iterator::difference_type & | lhs,
|  | const Zeni::String::reverse_iterator & | rhs
| ) |  |

Definition at line 547 of file String.cpp.

Zeni::String::const_reverse_iterator operator+ | ( | const Zeni::String::const_reverse_iterator::difference_type & | lhs,
|  | const Zeni::String::const_reverse_iterator & | rhs
| ) |  |

Definition at line 548 of file String.cpp.

Zeni::String operator+ | ( | const Zeni::String & | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 550 of file String.cpp.

Zeni::String operator+ | ( | const Zeni::String & | lhs,
|  | const char * | rhs
| ) |  |

Definition at line 554 of file String.cpp.

Zeni::String operator+ | ( | const Zeni::String & | lhs,
|  | char | rhs
| ) |  |

Definition at line 558 of file String.cpp.

Zeni::String operator+ | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 562 of file String.cpp.

Zeni::String operator+ | ( | char | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 566 of file String.cpp.

bool operator< | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 573 of file String.cpp.

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Zeni::String & | str
| ) |  |

Definition at line 594 of file String.cpp.

References Zeni::String::begin(), and Zeni::String::end().

bool operator<= | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 575 of file String.cpp.

bool operator== | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 571 of file String.cpp.

bool operator> | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 574 of file String.cpp.

bool operator>= | ( | const char * | lhs,
|  | const Zeni::String & | rhs
| ) |  |

Definition at line 576 of file String.cpp.

std::istream& operator>> | ( | std::istream & | is,
|  | const Zeni::String & | str
| ) |  |

void swap | ( | Zeni::String & | lhs,
|  | Zeni::String & | rhs
| ) |  |

Definition at line 578 of file String.cpp.

References Zeni::String::swap().

Referenced by af_sort_pos(), af_sort_widths(), FT_Outline_Reverse(), Zeni::Logo::operator=(), Zeni::Sprite::operator=(), Zeni::Model::operator=(), Zeni::String::operator=(), Zeni::Image::resize(), Zeni::String::String(), Zeni::String::swap(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::Vertex_Buffer_Renderer_GL_Fixed(), and Zeni::Vertex_Buffer_Renderer_GL_Shader::Vertex_Buffer_Renderer_GL_Shader().